using System;

internal sealed class Delegate18 : MulticastDelegate
{
	public extern Type Invoke(object object_0);

	public static Type smethod_0(object object_0, Delegate18 delegate18_1)
	{
		return delegate18_1(object_0);
	}

	public extern Delegate18(object object_0, IntPtr intptr_0);

	static Delegate18()
	{
		Class10.smethod_13(typeof(Delegate18).TypeHandle);
	}

	internal static Delegate18 delegate18_0;
}
